<?
	$rows = array();
	$config = Zend_Registry::get('escorts_config');
	/*$banners = Zend_Registry::get('banners');
	echo $banners['funcs'];*/

	for ( $i = 0; $i < ceil(count($this->escorts) / $config['perRow']); $i++ ) {
		$rows[] = array_slice($this->escorts, $i * $config['perRow'], $config['perRow']);
	}
	$DEFINITIONS = Zend_Registry::get('defines');
?>

<? $this->headScript()
		->appendFile(_st('overlay.js'), 'text/javascript')
		->appendFile(_st('highslide.js'), 'text/javascript')
		/*->appendScript('hs.graphicsDir = "/css/graphics/"')*/;
?>

<? $this->headLink()->prependStylesheet(_st('highslide.css')) ?>

<? $this->headScript()
	->appendFile(_st('feedback.js'))
	->appendFile(_st('popup.js'))
	
	/*->appendScript('Cubix.Feedback.url = "' . $this->getLink('feedback') . '"')
	->appendScript('Cubix.Popup.url = "/' . $this->lang() . '/private/sign-in-up"')*/
	
?>

<? $this->headScript()->appendFile('/index/js-init-exact?view=new-list&lang=' . $this->lang()); ?>

<? $this->headLink()->appendStylesheet(_st('new-girls2.css')) ?>

<? if ( ! _cs($this->new_list_cache_key) ): ?>

<?
	function ___date_to_age ($timestamp) {
		
		if ( $timestamp === false || is_null($timestamp) || ! $timestamp ) return null;

		if (strpos($timestamp, '-') ) {
			$timestamp = strtotime($timestamp);
		}

		list($year, $month, $day) = explode('-', date('Y-m-d', $timestamp));
		
		$year_diff  = date("Y") - $year;
		$month_diff = date("m") - $month;
		$day_diff   = date("d") - $day;
		if ($day_diff < 0)
			$month_diff--;
		if ($month_diff < 0)
			$year_diff--;
		return $year_diff;
	}

	
?>

<? $seo = $this->seo('home-page-new', 0); ?>

<div id="new-escorts">
	<form action="" method="post">
	<div class="select-city">
		<p class="h">New Escorts</p>
		<? $countries = Model_Statistics::getCitiesByCountry(GENDER_FEMALE, false, null, false);  ?>
		<select name="country_id" onchange="this.form.submit()">
			<option value="">-</option>
			<? foreach( $countries as $country ): ?>
			<option <? if( $this->country_id == $country->country_id ):?>selected="selected"<? endif; ?> value="<?= $country->country_id ?>"><?= $country->country_title ?></option>
			<? endforeach; ?>
		</select>
		<p class="b-text">Choose a country</p>
	</div>
	</form>
	
	<div class="new-esc-block">
		<? foreach ( $this->escorts as $escort ): ?>
		<div class="block">
			<div class="head">
				<span class="date"><?= __('added', array('date' => ( date('d.m.Y') == date('d.m.Y', $escort->date_activated ? $escort->date_activated : $escort->date_registered) ) ? $this->t('today_new') : date('d M Y', $escort->date_activated ? $escort->date_activated : $escort->date_registered) )) ?></span>
				<p class="w350"><?= $escort->profile->showname ?><?= ( $escort->age ) ? ", " . ___date_to_age($escort->profile->birth_date) . " " . __('years') : "" ?></p>
				<div class="clear"></div>
			</div>
			
			<div class="main-photo">
				<a class="main highslide" onclick="return hs.expand(this)" href="<?= $escort->profile->getMainPhoto()->getUrl('orig') ?>"><img src="<?= $escort->profile->getMainPhoto()->getUrl('new-main2') ?>" height="286" width="191" alt="showname" /></a>
				<? if ( $escort->is_suspicious ): ?>
					<span class="new-suspicious"></span>
				<? endif; ?>
			</div>
			<div class="other-info">			
				
				<div class="photos">
					<? $count = 0; $photos = $escort->profile->getPhotos(1, $count, false, false, null, 7, true); ?>
					<? $count = 7; $i = 0; ?>
					<? foreach($photos as $photo): ?>					
					<div class="photo">
						<a class="highslide" onclick="return hs.expand(this)" href="<?= $photo->getUrl('orig') ?>"><img src="<?= $photo->getUrl('new-thumb2') ?>" width="60" height="81" alt="showname" /></a>
					</div>
					<? $i++; ?>
					<? if ( $i == $count ): ?>
					<? break; ?>
					<? endif; ?>
					<? endforeach; ?>				
					<div class="clear"></div>
				</div>
				
				<a href="<?= $this->getLink('profile', array('showname' => $escort->showname, 'from' => 'new_list', 'escort_id' => $escort->id)) ?>" class="see-details"></a>
				
				<div class="clear"></div>
				
				<div class="info">
					<div class="row">
						<span>City of origin: </span><span class="b"><?= $escort->profile->{'base_city_' . $this->lang()} ?></span>
					</div>
					<? $esc = new Model_EscortV2Item($escort); ?>
					<? $t_rates = $esc->getTravelRates(); ?>
					<? if ( count($t_rates) ): ?>
						<?							
							$has_travel_rate = false;
							$currencies = Model_Currencies::getAllAssoc();
							foreach ( $t_rates[0] as $rate ) {
								if ( $rate->time_unit == TIME_HOURS && $rate->time == 12 ) {
									$has_travel_rate = true;
									$travel_price = $rate->price;
									$t_currency = $currencies[$rate->currency_id];
								}
							}
						?>

						<? if ($has_travel_rate): ?>
						<div class="row">
							<span>12 hour rate: </span><span class="b"><?= $t_currency ?> <?= number_format($travel_price, 2) ?></span>
						</div>
						<? endif; ?>
					
					<? endif; ?>
					
					<? if ( $escort->profile->phone_number ): ?>
					<div class="row">
						<span>Contact: </span><span class="b phone"><img src="/index/phone-img?escort_id=<?= $escort->profile->id ?>&fs=11&w=150&h=20&v=20&c=0,0,0" width="150" height="20" alt="Phone" /><? '+' . Model_Countries::getPhonePrefixById($escort->profile->phone_country_id) . $escort->profile->phone_number ?></span>
					</div>
					<? endif; ?>
					
					<? if ( count($escort->profile->langs) > 0 ): ?>
					<div class="row">
						<div class="fleft mr30">
							<span>Languages: </span>
						</div>
						<? foreach ( $escort->profile->langs as $lang ):?>
						<? $lang = (object) $lang; ?>
						<div class="fleft mr70">
							<p class="l"><?= $DEFINITIONS['language_options'][$lang->id] ?></p>
							<? for ( $i = 1; $i <= 4; $i++ ):?>
								<? if ( $lang->level >= $i ):?>
									<span class="star-y"></span>
								<? else:?>
									<span class="star-n"></span>
								<? endif ?>
							<? endfor ?>
						</div>
						<? endforeach; ?>
						
						<div class="clear"></div>
					</div>
					<? endif; ?>
				</div>
				
			</div>
			<div class="clear"></div>
		</div>
		<? endforeach; ?>
	</div>	
</div>


<? $pages_count = ceil($this->count / $config['newPerPage']); ?>
<? if( $pages_count != 1 ): ?>
<div class="paging-list">
	<? $pages = $this->paging($this->count, $this->params['page'], $config['newPerPage']); ?>
	<? if ( 1 < $this->params['page']): ?>
	<a href="<?= $this->getLink('escorts', array('page' => $this->params['page'] - 1, 'country' => $this->country_id)) ?>" >&laquo; <?= $this->t('previous') ?></a>
	<? endif ?>

	<? foreach ( $pages as $page ): ?>

	<? if ( $this->params['page'] == $page ): ?>
	<span class="active"><?= $page ?></span>
	<? else: ?>
	<a href="<?= $this->getLink('escorts', array('page' => $page, 'country' => $this->country_id)) ?>" ><?= $page ?></a>
	<? endif ?>

	<? endforeach ?>

	<? if ( $pages_count > $this->params['page']): ?>
	<a href="<?= $this->getLink('escorts', array('page' => $this->params['page'] + 1, 'country' => $this->country_id)) ?>"><?= $this->t('next') ?> &raquo;</a>
	<? endif ?>
</div>


<div class="clear-both">&nbsp;</div>
<div class="bodky-big">&nbsp;</div>

<? endif; ?>

<? _ce(); ?>
<? endif; ?>

<?
if ( $seo ) {
	if ( strlen($seo->title) ) {
		$this->headTitle($seo->title, 'PREPEND');
	}

	if ( strlen($seo->keywords) ) {
		$this->headMeta()->appendName('keywords', $seo->keywords);
	}

	if ( strlen($seo->description) ) {
		$this->headMeta()->appendName('description', $seo->description);
	}
}
?>
